Seite 1 von 1

Ubuntu 18.04 support in Stable

Verfasst: 10 Jul 2018, 15:42
von m.radtke
Dear opsi users,

hereby we release stable support of opsi 4.1 on Ubuntu 18.04 (Bionic Beaver).

To finalize the support we release the following packages in our stable package branch

Localboot:
    l-debuntu-upgrade (4.1.0.0-2)
    opsi-linux-client-agent (4.1.0.5-1)

Netboot:
    ubuntu18-04 (4.1.0.0-3)
    ubuntu (4.1.0.0-1)

Server:
    python-opsi (4.1.1.40-1)

Changelogs:

Code: Alles auswählen

python-opsi (4.1.1.40-1) testing; urgency=medium

  * OpsiPXEConfd backend: improve performance by precollecting the
    required data that then can be used by opsipxeconfd.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Tue, 19 Jun 2018 14:38:25 +0200

python-opsi (4.1.1.39-1) stable; urgency=medium

  * SQL-based backends: Increased length of inventoryNumber of a host to 64
    characters.
  * OPSI.Backend.Backend.ModificationTrackingBackend: small speedup.
  * Various small internal refactorings.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 11 Jun 2018 11:44:15 +0200

python-opsi (4.1.1.38-1) stable; urgency=medium

  * Based on python-opsi 4.0.7.66.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 07 Jun 2018 22:35:19 +0200

===================================

opsi-linux-client-agent (4.1.0.5-1) stable; urgency=medium

  * ubuntu 18.04 bionic support

-- d.oertel <d.oertel@uib.de> Wed, 27 Jun 2018 15:00:00 + 0100

===================================

l-debubuntu-upgrade (4.1.0.0-2) stable; urgency=low

  * fix for force_newest_ubuntu
  * code cleanup

-- detlef oertel <d.oertel@uib.de>  Sat, 30 Jun 2018 15:00:00 +0000

l-debubuntu-upgrade (4.1.0.0-1) stable; urgency=low

  * new support for xenial_bionic
  * new property force_newest_ubuntu
  * code cleanup

-- detlef oertel <d.oertel@uib.de>  Tue, 26 Jun 2018 15:00:00 +0000

===================================

ubuntu18-04 (4.1.0.0-3) testing; urgency=low

  * corrected log writing behaviour
  * only copying opsi-linux-client-agent if property is set to true

===================================

ubuntu (4.1.0.0-1) testing; urgency=low

  * support for Ubuntu 18.04 (bionic beaver)

-- Mathias Radtke <m.radtke@uib.de> Thu Apr 27 10:00:00 +0200

===================================


Re: Ubuntu 18.04 support in Stable

Verfasst: 10 Jul 2018, 23:14
von nicolaslebrun
Hello Mathias,

Shall we understand there will be no support for Ubuntu 18.04 on 4.0.7 branch (especially opsi-linux-client-agent) ?

Regards,

Nico

Re: Ubuntu 18.04 support in Stable

Verfasst: 11 Jul 2018, 08:27
von m.radtke
Hi Nico,

there will be no opsi 4.0.7 packages for Ubuntu18.04
the opsi-linux-client-agent however is opsi 4.0.7 compatible, if you want to depploy an ubuntu18-04 client.

Cheers

Re: Ubuntu 18.04 support in Stable

Verfasst: 11 Jul 2018, 16:16
von nicolaslebrun
Thanks for your answer !

Regards,

Nico